# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI.pm) perl(Digest/MD5.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Request/Common.pm) perl(LWP/UserAgent.pm) perl(Net/LDAP.pm)
# END SourceDeps(oneline)
%filter_from_requires /^perl.configuration.pl./d
%define module_name CGI-AuthRegister
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.1
Release: alt1
Summary: AuthRegister Module for Simple CGI Authentication and Registration in Perl
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VL/VLADO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
CGI::AuthRegister is a Perl module for CGI user authentication and
registration.  It is created with objective to be simple, flexible,
and transparent.  For the sake of simplicity, it is not completely
portable, but mostly designed for Linux environment.  As an example,
it relies on a directly calling sendmail for sending email messages.

Example 1, included in the distribution, and shown above, illustrates
the main functionalities of the module in one CGI file.  The module is
designed with the assumption that the CGI programs run with user uid.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes examples
%perl_vendor_privlib/C*

%changelog
* Mon Dec 24 2018 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1
- regenerated from template by package builder

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1
- initial import by package builder

